Bug 116233 - mc utf8-ization part 3.
mc utf8-ization part 3.
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Depends On:
  Show dependency treegraph
Reported: 2004-02-19 06:04 EST by Nickolay V. Shmyrev
Modified: 2013-07-02 18:58 EDT (History)
5 users (show)

See Also:
Fixed In Version: 4.6.1-0.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-28 10:25:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nickolay V. Shmyrev 2004-02-19 06:04:01 EST
Hello, thanks for your work on utf-8 support in midnight commander. 
But there is one unhandled bug.  
I've mc installed from Fedora core rpm. I have filesystem with utf8 
encoding. When I press Ctrl+Enter to copy file name to command line 
in midnight commander, the result is ugly. 
The reason is in this code in mc-4.6.0/src/widget.c (look at 
text++). But it seems that handle_char works incorrect too. 
/* Inserts text in input line */ 
stuff (WInput *in, char *text, int insert_extra_space) 
    input_disable_update (in); 
    while (*text) 
        handle_char (in, *text++); 
    if (insert_extra_space) 
        handle_char (in, ' '); 
    input_enable_update (in); 
    update_input (in, 1); 
I can send you patch, if needed. I've posted it to 
fedora-devel-list, but  there was no answer. 
Comment 1 Jakub Jelinek 2004-02-19 06:08:03 EST
A patch would be welcome, I'm quite busy with the toolchain.
I searched the ml for your patch but couldn't find it.
Comment 2 Marcin Garski 2004-05-19 15:31:53 EDT
Look at: http://mail.gnome.org/archives/mc-devel/2004-May/msg00001.html
You can find there extended patches from RedHat to support UTF-8 in
input widget, viewer and editor.
Comment 3 Leonard den Ottolander 2004-05-19 17:23:43 EDT
I've had contact with Vladimir Nadvornik about these patches and he
will be looking into them and other utf-8 issues soon. I was preparing
an email on this to the -devel list which I didn't finish due to the
bugzilla issues last weekend. Coming soon.
Comment 4 Leonard den Ottolander 2004-05-19 17:26:32 EDT
Shmyrev, if you could attach patches to the issues you are seeing we
could cross reference these with the patches from Vladimir.
Comment 5 Nickolay V. Shmyrev 2004-05-20 08:42:19 EDT
Sorry, I am to buzy now to look at mc. But is seems that Vladimir have
done a great work.
Comment 6 Leonard den Ottolander 2004-10-26 12:29:29 EDT
Nickolay, could you verify that current mc has this problem fixed? If
not I can contact Vladimir about it.
Comment 7 Nickolay V. Shmyrev 2004-10-26 14:12:58 EDT
I will look soon, is there a deadline for that review. 

At least the preliminary results are that those patches aren't applied
Comment 8 Leonard den Ottolander 2004-10-26 14:38:56 EDT
Please grab the latest srpm from RawHide. It should compile on all
Fedora's without problems. Note that the UTF-8 patches against CVS are
more complete than the ones for mc-4.6.0, but they are not
Comment 9 Nickolay V. Shmyrev 2004-10-26 15:04:03 EDT
I've just build mc-4.6.1-0.8

The Ctrl-Enter problem seems to be fixed, unless I still can't type
russian letters (UTF8 input is not working).
Comment 10 Leonard den Ottolander 2004-10-26 17:22:26 EDT
Is this on Fedora Core 1? Using an xterm or gnome-terminal? konsole?
Or even a console? Full 8 bits input set?

On FC 1 xterm is not (fully) UTF8ified.
Comment 11 Nickolay V. Shmyrev 2004-10-26 17:34:18 EDT
gnome-terminal-2.6.0 and console too. It seems that it is not
dependant of terminal.
Comment 12 Nickolay V. Shmyrev 2004-10-26 17:39:51 EDT
Sorry, I had 8-bit input turned off. Yes, really all works fine. 
Comment 13 Leonard den Ottolander 2004-10-26 18:57:25 EDT
Good :) . Closing RawHide.
Comment 14 Nickolay V. Shmyrev 2004-10-28 04:00:36 EDT
I see the only problem - when I stay in the directory with non-ascii
name, it is shown in the top of box with question chars.

|                     |
|                     |
|      file here      |
Comment 15 Nickolay V. Shmyrev 2004-10-28 04:04:44 EDT
Also there is minor problems, like now src rpm is not compiled with
gcc 2.95, since of C-neologizms.
Comment 16 Leonard den Ottolander 2004-10-28 07:03:24 EDT
Wrt comment 14: Please file new issues as new bug reports. And be so
kind to file one bug per issue so we can close each report when the
one issue it describes has been fixed.

Please close this bug after you've opened a new one for this issue.

Wrt comment 15: You might want to report such issues upstream, at
mc-devel@gnome.org. Not much use to mention it here, especially since
afaict gcc-2.95 is not supported by Red Hat.
Comment 17 Jindrich Novy 2004-10-29 11:02:17 EDT

however, since you're compiling mc from the Red Hat distribution src
rpm, I'm interested in issues regarding even the problems you
mentioned with gcc-2.95, because it would show some incorrectnesses
not only in the upstream source code, but in the source code I add in
patches or in spec file.

Could you please file a new bug for it?


Note You need to log in before you can comment on or make changes to this bug.